define({ "api": [
  {
    "type": "post",
    "url": "/api/attachment/delete/",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "url",
            "description": "<p>图片url</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentDelete"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"file\": \"f72e7dad80f597ed6621a009e82243ad.jpg\",\n         //文件访问url http://localhost/f72e7dad80f597ed6621a009e82243ad.jpg\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "get",
    "url": "/api/auth/logout",
    "title": "退出(logout)",
    "description": "<p>退出(logout)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"code\": 200,\n          \"msg\": \"退出登录成功\"\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1104,\n    \"message\": \"退出失败\",\n    \"data\": null\n}\n可能出现的错误代码：\n   1104    LOGOUT_FAILED                   退出失败",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "GetApiAuthLogout"
  },
  {
    "type": "post",
    "url": "/api/auth/login",
    "title": "登陆（login）",
    "description": "<p>登陆(login)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>小程序登陆后返回的code</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "nickName",
            "description": "<p>微信昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "avatar",
            "description": "<p>微信头像</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjdjYWUyYzFmYTUwMTIyZDI0ZTRiYTZhZGZhNmQxYmZlOWNiMzIxMTBmYWJlZjNjYzIyNmViZjRmNGExNWM3NjllNmU2ZTNiYWE5OGNhOWUzIn0.eyJhdWQiOiIxIiwianRpIjoiN2NhZTJjMWZhNTAxMjJkMjRlNGJhNmFkZmE2ZDFiZmU5Y2IzMjExMGZhYmVmM2NjMjI2ZWJmNGY0YTE1Yzc2OWU2ZTZlM2JhYTk4Y2E5ZTMiLCJpYXQiOjE0NzU0MTE1NTgsIm5iZiI6MTQ3NTQxMTU1OCwiZXhwIjo0NjMxMDg1MTU4LCJzdWIiOiIxIiwic2NvcGVzIjpbXX0.E9YGEzuRUOk02aV1EiWLJ_pD0hKoCyW0k_sGy63hM3u5X8K_HI1kVhaU6JNLqLZeszIAroTEDB8XMgZKAqTLlwtL8PLCJcuDoxfk1BRHbfjhDheTsahBysKGalvNEpzRCrGlao0mS0Cg9qDpEsndtypPFS8sfaflToOzbJjiSK2DvQiHSH8xZI3zHJTezgZMz-pB_hPTxp8ajdv0ve1gWtWjs3vERr0Y91X4hngO8X7LuXtAYtfxGZRIye12YE7TuLBMYzj8CCfiRt7Smhyf4palNW5mzKlZpa2l87n6NQ14Iy4oMzQ2PON1j_swrosuE2yZohGOn6fDdSCBRdJ6dLD_emjBdQCQOoB63R7BbhFZgvFX25TjzFJ7r9AdVMiGmebuRKEVSZV_JCGu1C71OIbQk-UK35s00gSr2fmJGBbN2cZTXBRTJpfuMZ_ihFYEZrvVq_Ih2X0xkd36JUuxaUld1BXRgPZvH-9jBuhe0YW2OOlgwpdm6ZB8BMcuS4ftLoi6FipgzFqfIuy-0ZqPMDnJaG7Gycrdpxza00mgOFxYxJtqwZNsUWFRZEVU881l6VC_cy294YXSPQxUwEoyKg-G5Pm8AEB9bqv5z4EU4B8-XTd3zKNqtNba_snHbc711i4EytCiZfYSjNB1hwenq45YYOAhPTwOpFI0kxyRazc\",\n        \"user\": {\n            \"id\": 1,\n            \"name\": \"15888888888\",\n            \"email\": \"abcdefg@gmail.com\",\n            \"phone\": \"15888888888\",\n            \"avatar\": null,\n            \"last_ip\": null,\n            \"created_at\": \"2016-09-30 00:45:13\",\n            \"updated_at\": \"2016-09-29 16:43:36\"\n        }\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正\n   1001                                    获取OpenId失败",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "PostApiAuthLogin"
  }
] });
